module JamRuby
  # if a bad argument is supplied.
  # So why not use the default ruby argument error?  Using this one allows us to know our API layer threw this, versus us using some core library incorrectly
  class JamArgumentError < ArgumentError

    attr_accessor :field, :field_message

    def initialize(message, field = nil)
      @message = message
      @field_message = message
      @field = field
    end
  end
end